JED(1)

NUME
jed - editor pentru programatori

SINOPSIS
jed --version
jed-script --version
xjed --version

jed [--secure] [--batch|--script|--help] [opțiuni] fișier ...
jed-script [--secure] fișier-script [opțiuni-script] ...
xjed [--secure] [opțiuni-X] [--batch|--script|--help] [opțiuni] fișier ...

DESCRIERE
Jed - editor pentru programatori

Caracteristici:

Sintaxa de culori evidențiere. Emulare a editorilor Emacs, EDT, Wordstar și Brief. Extensibil într-un limbaj asemănător cu C. Complet personalizabil. Editarea fișierelor TeX cu editare în stilul AUC-TeX (suport și pentru BiBTeX). Suport pentru pliere și multe altele...

Pentru documentația completă, consultați fișierele GNU info, acest manual oferă doar un scurt tutorial.

OPȚIUNI

  major options

--version
    afișează versiunea și variabilele din timpul compilării.
--help
    afișează informațiile de utilizare.
--secure
    rulează Jed în modul securizat, de exemplu, nu puteți rula comenzi externe cu system() sau run_shell_cmd().
--batch
    rulează Jed în modul de lucru pe loturi „batch”. Acesta este un mod neinteractiv.
--script
    acesta este un mod asemănător cu --batch, dar jed nu evaluează fișierele de pornire. Se comportă ca slsh. Trebuie să indicați fișierul care trebuie evaluat ca al doilea argument. Este același lucru ca și cum ați apela jed-script.

  opțiuni secundare

-n
    nu încarcă fișierul .jedrc.
-a 'fișier'
    încarcă fișier ca fișier de configurare a utilizatorului în loc de .jedrc.
-e
    Stabilește modul de emulare. Valoarea implicită în Debian este „emacs”. Alte opțiuni valide sunt „vi”, „cua”, „ide”.
+ 'n'
    merge la linia n din memoria tampon (observați că, pentru ca această opțiune să aibă efect, trebuie să apară înaintea numelui fișierului în linia de comandă, de pildă «jed +3 fișier»).
-g 'n'
    merge la linia n din memoria tampon (observați că pentru ca această opțiune să aibă efect, trebuie să apară după numele fișierului în linia de comandă, ca de exemplu 'jed fișier -g 3')
-l 'fișier'
    încarcă fișier drept cod S-Lang.
-f 'funcție'
    execută funcția S-Lang numită funcție.
-s 'șir'
    caută înainte pentru șir
-2
    împarte fereastra
-i 'fișier'
    inserează fișier în memoria tampon curentă.

  opțiuni-X
xjed acceptă opțiunile comune precum -display, -name, -fn și -geometry. În plus, acceptă

-facesize DIMENSIUNE, -fs DIMENSIUNE
    dacă este construit cu suport XRENDERFONT, selectează dimensiunea fontului DIMENSIUNE. Utilizați-o împreună cu opțiunea -fn pentru a selecta un font scalabil.
-foreground CULOARE, -fg CULOARE
    stabilește culoarea de prim-plan.
-background CULOARE, -bg CULOARE
    stabilește culoarea de fundal.
-fgMouse CULOARE, -mfg CULOARE
    stabilește culoarea de prim-plan a indicatorului mouse-ului.
-bgMouse CULOARE, -mbg CULOARE
    stabilește culoarea de fundal a indicatorului mouse-ului.
-Iconic, -ic
    pornește cu o pictogramă.
-title NUME
    stabilește titlul ferestrei la NUME.

Pentru mai multe opțiuni, consultați xterm.c.

CONFIGURARE
    Emularea altor editori

Capacitatea JED de a crea noi funcții folosind limbajul de programare S-Lang și de a permite utilizatorului să aleagă combinații de taste, face posibilă emulația altor editori. În prezent, JED oferă o emulație rezonabilă a editorilor Emacs, EDT și Wordstar.

    Emulare Emacs

Emularea Emacs este asigurată de codul S-Lang din emacs.sl. Funcționalitatea de bază a Emacs este emulată; majoritatea utilizatorilor Emacs nu ar trebui să aibă probleme cu JED. Pentru a activa emularea Emacs în JED, asigurați-vă că linia:

    () = evalfile ("emacs");

se află în fișierul de pornire jed.rc (.jedrc). JED este distribuit cu această linie deja prezentă în fișierul implicit jed.rc.

    Emulare EDT

Pentru emularea EDT, trebuie să fie încărcat edt.sl. Acest lucru se realizează prin asigurarea faptului că linia:

    () = evalfile ("edt");

este prezentă în fișierul de pornire jed.rc (.jedrc).

    Emulare Wordstar

wordstar.sl conține codul S-Lang pentru emularea Wordstar de către JED. Adăugarea liniei

    () = evalfile ("wordstar");

în fișierul de pornire jed.rc (.jedrc) va activa emularea Wordstar a JED.

ÎN TIMPUL EXECUȚIEI

    Linia de stare și ferestrele

JED acceptă ferestre multiple. Fiecare fereastră poate conține aceeași memorie tampon sau memorii tampon diferite. O linie de stare este afișată imediat sub fiecare fereastră. Linia de stare conține informații precum numărul versiunii JED, numele memoriei tampon, mod, etc. Vă rugăm să aveți grijă la următorii indicatori:

**
    memoria tampon a fost modificată de la ultima salvare.
%%
    memoria tampon este numai--pentru-citire.
m
    Indicator de definire a marcajelor. Aceasta înseamnă că se definește o regiune.
d
    Indicator de fișier schimbat pe disc. Acesta indică faptul că fișierul asociat cu memoria tampon este mai nou decât memoria tampon însăși.
s
    indicator de poziție a fluxului.
+
    Anularea este activată pentru memoria tampon.
[Narrow]
    Memoria tampon este restrânsă la o regiune de LINII.
[Macro]
    Este în curs de definire o macro.

    Mini-Buffer.

Mini-Buffer constă într-o singură linie situată în partea de jos a ecranului. O mare parte din dialogul dintre utilizator și JED are loc în cadrul acestei zone tampon. De exemplu, atunci când căutați un șir de caractere, JED vă va cere să căutați șirul în „Mini-Buffer”.

Mini-Buffer oferă, de asemenea, o legătură directă cu interpretul S-Lang. Pentru a accesa interpretul, apăsați Ctrl-X Esc și în Mini-Buffer va apărea promptul S-Lang>. Introduceți orice expresie S-Lang validă pentru a fi evaluată de către interpret.

Este posibil să reapelați datele introduse anterior în Mini-Buffer cu ajutorul tastelor săgeată sus și jos. Acest lucru face posibilă utilizarea și editarea expresiilor anterioare într-un mod convenabil și eficient.

    Editarea de bază

Editarea cu JED este destul de ușoară - majoritatea tastelor se inserează pur și simplu. Deplasarea în memoria tampon se face de obicei cu ajutorul tastelor săgeată sau a tastelor de urcare și coborâre a paginii. Dacă este încărcat edt.sl, tastaturile de pe terminalele VTxxx funcționează la fel de bine. Aici, sunt abordate doar elementele de evidențiere (operațiile de tăiat/lipit nu sunt considerate „elemente de evidențiere”). În cele ce urmează, orice caracter prefixat de caracterul ^ denotă un caracter de control. Pe tastaturile fără o tastă «Escape» explicită, Ctrl-[ va genera, cel mai probabil, un caracter Escape.

Un argument prefix pentru o comandă poate fi generat prin apăsarea mai întâi a tastei Esc, apoi introducerea numărului urmat de apăsarea tastei dorite. În mod normal, argumentul prefix este utilizat pur și simplu pentru repetiție. De exemplu, pentru a se deplasa la 40 de caractere spre dreapta, se va apăsa Esc 4 0 urmată imediat de tasta săgeată dreapta. Acest lucru ilustrează utilizarea argumentului de repetare pentru repetiție. Cu toate acestea, argumentul prefix poate fi utilizat și în alte moduri. De exemplu, pentru a începe definirea unei regiuni, se apasă tasta Ctrl-@. Astfel se stabilește marcajul și începe evidențierea. Apăsarea tastei Ctrl-@ cu un argument prefix va întrerupe actul de definire a regiunii și apariția marcajului (definiția operației).

Următoarea listă de combinații de taste utile presupune că emacs.sl a fost încărcat.

Ctrl-L
    Redesenează ecranul.
Ctrl-_
    Anulare («Control-liniuță_de_subliniere», de asemenea «Ctrl-X u'»).
Esc q
    Reformatează paragraful (modul încadrare „wrap”). Utilizată cu un argument prefix. va alinia la margini de asemenea paragraful.
Esc n
    Paragraf restrâns (modul încadrare/înfășurare „wrap”). Utilizată cu un argument prefix. va alinia la margini de asemenea paragraful.
Esc ;
    Face comentarii de limbaj (Fortran și C)
Esc \
    Taie spațiile albe din jurul punctului
Esc !
    Execută comanda shell
Esc $
    Verifică ortografia cu ajutorul Ispell
Ctrl-X ?
    Afișează informații despre linie/coloană.
`
    quoted_insert --- inserează următorul caracter așa cum este (tasta «apostrof»)
Esc s
    Centrează linia
Esc u
    Cuvânt cu majuscule.
Esc d
    Cuvânt cu minuscule.
Esc c
    Prima literă a cuvântului în majusculă, restul în minusculă
Esc x
    Obține promptul M-x minibuffer cu funcția de completare a comenzii
Ctrl-X Ctrl-B
    Afișează o listă emergentă de memorii tampon
Ctrl-X Ctrl-C
    Ieșire din JED
Ctrl-X 0
    Șterge fereastra curentă
Ctrl-X 1
    O singură fereastră
Ctrl-X 2
    Împarte fereastra.
    Ctrl-X o
    Trece la cealaltă fereastră
Ctrl-X b
    Comută la memoria tampon
Ctrl-X k
    Omoară memoria tampon
Ctrl-X s
    Salvează conținutul memoriei tampon.
Ctrl-X Esc
    Obține promptul „S-Lang>” pentru interfața cu interpretul S-Lang.
Esc .
    Găsește eticheta
Ctrl-@
    Definește marcajul (începe definirea unei regiuni). Folosit cu un argument prefix, întrerupe actul de definire a regiunii și afișează marca.

FIȘIERE
JED_ROOT/lib/*.sl
    acestea sunt fișierele slang predefinite de execuție pentru jed (pachete precum jed-extra pot defini directoare de biblioteci slang suplimentare)
JED_ROOT/lib/site.sl
    Acesta este fișierul de pornire implicit.
/etc/jed.d/*.sl
    Fișierele de configurare la nivel de sistem (aceasta este o caracteristică specială a Debian).
~/.jedrc
    Fișier de configurare pentru fiecare utilizator, sau
~/.jed/jed.rc
    fișier de configurare pentru fiecare utilizator, dacă există Jed_Home_Directory ~/.jed/.

AUTOR
John E. Davis <jed@jedsoft.org>
    Autorul lui Jed

--- Acest document a fost tradus la nroff de „Boris D. Beletsky” <borik@isracom.co.il>

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.